ReflectionExtension::__construct
ReflectionExtension::getClasses
ReflectionExtension
PHP Manual

# ReflectionExtension::export

(PHP 5)

ReflectionExtension::export — Export

### Opis

public static string ReflectionExtension::export ( string `$name` [, string `$return` = false ] )

Exports a reflected extension. The output format of this function is the same as the CLI argument --re [extension].

### Parametry

`name`

  Refleksja do eksportu.

`return`

  Setting to `TRUE` will return the export, as opposed to emitting it. Setting to `FALSE` (the default) will do the opposite.

### Zwracane wartości

Jeśli parametr `return` jest ustawiony na `TRUE`, eksport jest zwracany jako string, w przeciwnym przypadku jako `NULL`.

### Zobacz też:

- ReflectionExtension::info() - Print extension info

ReflectionExtension::__construct
ReflectionExtension::getClasses
ReflectionExtension
PHP Manual